glibmm: Gio::CharsetConverter Class Reference

glibmm 2.38.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gio::CharsetConverter Class Reference

CharsetConverter - Convert between charsets. More...

`#include <giomm/charsetconverter.h>`

Inheritance diagram for Gio::CharsetConverter:
[legend]

## Public Member Functions
virtual | ~CharsetConverter ()
GCharsetConverter* | gobj ()
| Provides access to the underlying C GObject. More...
const GCharsetConverter* | gobj () const
| Provides access to the underlying C GObject. More...
GCharsetConverter* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
void | set_use_fallback (bool use_fallback)
| Sets the CharsetConverter::property_use_fallback() property. More...
bool | get_use_fallback () const
| Gets the CharsetConverter::property_use_fallback() property. More...
guint | get_num_fallbacks () const
| Gets the number of fallbacks that converter has applied so far. More...
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_from_charset () const
| The character encoding to convert from. More...
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_to_charset () const
| The character encoding to convert to. More...
Glib::PropertyProxy< bool > | property_use_fallback ()
| Use fallback (of form <hexval>) for invalid bytes. More...
Glib::PropertyProxy_ReadOnly < bool > | property_use_fallback () const
| Use fallback (of form <hexval>) for invalid bytes. More...
Public Member Functions inherited from Glib::Object
void* | get_data (const QueryQuark& key)
void | set_data (const Quark& key, void* data)
void | set_data (const Quark& key, void* data, DestroyNotify notify)
void | remove_data (const QueryQuark& quark)
void* | steal_data (const QueryQuark& quark)
Public Member Functions inherited from Glib::ObjectBase
void | set_property_value (const Glib::ustring& property_name, const Glib::ValueBase&value)
| You probably want to use a specific property_*() accessor method instead. More...
void | get_property_value (const Glib::ustring& property_name, Glib::ValueBase&value) const
| You probably want to use a specific property_*() accessor method instead. More...
template<class PropertyType >
void | set_property (const Glib::ustring& property_name, const PropertyType&value)
| You probably want to use a specific property_*() accessor method instead. More...
template<class PropertyType >
void | get_property (const Glib::ustring& property_name, PropertyType&value) const
| You probably want to use a specific property_*() accessor method instead. More...
void | connect_property_changed (const Glib::ustring& property_name, const sigc::slot< void >& slot)
| You can use the signal_changed() signal of the property proxy instead, but this is necessary when using the reduced API. More...
sigc::connection | connect_property_changed_with_return (const Glib::ustring& property_name, const sigc::slot< void >& slot)
| You can use the signal_changed() signal of the property proxy instead, but this is necessary when using the reduced API. More...
void | freeze_notify ()
| Increases the freeze count on object. More...
void | thaw_notify ()
| Reverts the effect of a previous call to freeze_notify(). More...
virtual void | reference () const
| Increment the reference count for this object. More...
virtual void | unreference () const
| Decrement the reference count for this object. More...
GObject* | gobj ()
| Provides access to the underlying C GObject. More...
const GObject* | gobj () const
| Provides access to the underlying C GObject. More...
GObject* | gobj_copy () const
| Give a ref-ed copy to someone. Use for direct struct access. More...
Public Member Functions inherited from Gio::Converter
virtual | ~Converter ()
GConverter* | gobj ()
| Provides access to the underlying C GObject. More...
const GConverter* | gobj () const
| Provides access to the underlying C GObject. More...
ConverterResult | convert (const void* inbuf, gsize inbuf_size, void* outbuf, gsize outbuf_size, ConverterFlags flags, gsize& bytes_read, gsize& bytes_written)
| This is the main operation used when converting data. More...
void | reset ()
| Resets all internal state in the converter, making it behave as if it was just created. More...
virtual ConverterResult | convert_vfunc (const void* inbuf, gsize inbuf_size, void* outbuf, gsize outbuf_size, ConverterFlags flags, gsize& bytes_read, gsize& bytes_written)
virtual void | reset_vfunc ()
Public Member Functions inherited from Glib::Interface
| Interface ()
| A Default constructor. More...
| Interface (const Glib::Interface_Class& interface_class)
| Called by constructors of derived classes. More...
| Interface (GObject* castitem)
| Called by constructors of derived classes. More...
virtual | ~Interface ()
GObject* | gobj ()
const GObject* | gobj () const

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static Glib::RefPtr < CharsetConverter > | create (const Glib::ustring& to_charset, const Glib::ustring& from_charset)
| Creates a new CharsetConverter. More...
Static Public Member Functions inherited from Gio::Converter
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Protected Member Functions
| CharsetConverter (const Glib::ustring& to_charset, const Glib::ustring& from_charset)
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams& construct_params)
| Object (GObject* castitem)
virtual | ~Object ()
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| This default constructor is called implicitly from the constructor of user-derived classes, even if, for instance, Gtk::Button calls a different ObjectBase constructor. More...
| ObjectBase (const char* custom_type_name)
| A derived constructor always overrides this choice. More...
| ObjectBase (const std::type_info& custom_type_info)
| This constructor is a special feature to allow creation of derived types on the fly, without having to use g_object_new() manually. More...
virtual | ~ObjectBase ()=0
void | initialize (GObject* castitem)
Protected Member Functions inherited from Gio::Converter
| Converter ()
| You should derive from this class to use it. More...

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr < Gio::CharsetConverter > | wrap (GCharsetConverter* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Glib::Object
Glib::RefPtr< Glib::Object > | wrap (GObject* object, bool take_copy=false)
Related Functions inherited from Gio::Converter
Glib::RefPtr< Gio::Converter > | wrap (GConverter* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from Glib::Object
typedef void(* | DestroyNotify )(gpointer data)

## Detailed Description

CharsetConverter - Convert between charsets.

CharsetConverter is an implementation of Converter based on GIConv.

Since glibmm 2.34:

## Constructor & Destructor Documentation

virtual Gio::CharsetConverter::~CharsetConverter | ( |  | ) |
| virtual

Gio::CharsetConverter::CharsetConverter | ( | const Glib::ustring& | to_charset,
|  | const Glib::ustring& | from_charset
| ) |  |
| explicitprotected

## Member Function Documentation

static Glib::RefPtr<CharsetConverter> Gio::CharsetConverter::create | ( | const Glib::ustring& | to_charset,
|  | const Glib::ustring& | from_charset
| ) |  |
| static

Creates a new CharsetConverter.

Since glibmm 2.24:

Parameters

  to_charset | Destination charset.
  from_charset | Source charset.

Returns
  A new CharsetConverter, or `0` on error.

guint Gio::CharsetConverter::get_num_fallbacks | ( |  | ) | const

Gets the number of fallbacks that converter has applied so far.

Since glibmm 2.24:

Returns
  The number of fallbacks that converter has applied.

static GType Gio::CharsetConverter::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

bool Gio::CharsetConverter::get_use_fallback | ( |  | ) | const

Gets the CharsetConverter::property_use_fallback() property.

Since glibmm 2.24:

Returns
  `true` if fallbacks are used by converter.

GCharsetConverter* Gio::CharsetConverter::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

const GCharsetConverter* Gio::CharsetConverter::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

GCharsetConverter* Gio::CharsetConverter::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gio::CharsetConverter::property_from_charset | ( |  | ) | const

The character encoding to convert from.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gio::CharsetConverter::property_to_charset | ( |  | ) | const

The character encoding to convert to.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gio::CharsetConverter::property_use_fallback | ( |  | ) |

Use fallback (of form <hexval>) for invalid bytes.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gio::CharsetConverter::property_use_fallback | ( |  | ) | const

Use fallback (of form <hexval>) for invalid bytes.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

void Gio::CharsetConverter::set_use_fallback | ( | bool | use_fallback | ) |

Sets the CharsetConverter::property_use_fallback() property.

Since glibmm 2.24:

Parameters

  use_fallback | `true` to use fallbacks.

## Friends And Related Function Documentation

Glib::RefPtr< Gio::CharsetConverter > wrap | ( | GCharsetConverter * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.